[package]
name = "nm-wifi-service"
version = "1.0.0"
authors = ["Charles Cross <charles@openrov.com>", "Zahari Petkov <zahari@resin.io>", "Aaron Brodersen <aaron@resin.io>"]
description = "Wifi configuration service which acts as a REST interface to NetworkManager"

[dependencies]
network-manager = { git = "https://github.com/spiderkeys/network-manager", branch = "ap-strength"}
clap = "2.24"
iron = "0.5"
staticfile = "0.4"
mount = "0.3"
router = "0.5"
serde = "1.0"
serde_derive = "1.0"
serde_json = "1.0"
persistent = "0.3"
params = "0.6"
log = "0.3"
env_logger = "0.4"
nix = "0.10"
futures = "0.1"
tokio-core = "0.1"
tokio-ping = { git = "https://github.com/spiderkeys/tokio-ping", branch = "fix-backtrace-sys"}

[dependencies.error-chain]
version = "0.11"
default-features = false

[profile.release]
lto = true
